Results 1 to 6 of 6

Thread: Trouble building kernel modules

  1. #1
    Join Date
    Dec 2007
    Posts
    137

    Default Trouble building kernel modules

    I just DLed the latest .run from amd.com. I'm running a Radeon 9550. X-server 1.3. Xorg 7.2 and Ubuntu Gutsy 7.10.

    Here's the output I get when I try to build the kernel modules:

    Code:
    icaria@ubuntu-7:~$ sudo m-a build,install fglrx-kernel
    The source tarball could not be found!
    Package fglrx-kernel-source not installed?
    Running "m-a -f get fglrx-kernel-source" may help.
    Target package file 
    /usr/src/fglrx-kernel-2.6.22-14-generic_8.42.3-1+2.6.22-14.47_i386.deb already 
    exists, not rebuilding!
    (however, you could use the -f switch to ignore it)
    Selecting previously deselected package fglrx-kernel-2.6.22-14-generic.
    (Reading database ... 138186 files and directories currently installed.)
    Unpacking fglrx-kernel-2.6.22-14-generic (from .../fglrx-kernel-2.6.22-14-generic_8.42.3-1+2.6.22-14.47_i386.deb) ...
    dpkg: dependency problems prevent configuration of fglrx-kernel-2.6.22-14-generic:
     fglrx-kernel-2.6.22-14-generic depends on xorg-driver-fglrx (= 8.42.3-1); however:
      Version of xorg-driver-fglrx on system is 8.443.1-1.
    dpkg: error processing fglrx-kernel-2.6.22-14-generic (--install):
     dependency problems - leaving unconfigured
    Errors were encountered while processing:
     fglrx-kernel-2.6.22-14-generic
    
    I: Direct installation failed, trying to post-install the dependencies
    
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Correcting dependencies... Done
    The following packages were automatically installed and are no longer required:
      libglitz-glx1 libdbh-4.5-4 libtubo1 binutils-static nvidia-kernel-common
      libglitz1 python-pysqlite2 libemeraldengine0 python-elementtree libmcs1
      libmpd0 libxffm3-common
    Use 'apt-get autoremove' to remove them.
    The following packages will be REMOVED:
      fglrx-kernel-2.6.22-14-generic
    0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
    1 not fully installed or removed.
    Need to get 0B of archives.
    After unpacking 2150kB disk space will be freed.
    Do you want to continue [Y/n]?
    Anyone know why this is failing?

  2. #2
    Join Date
    Oct 2007
    Posts
    4

    Default

    Quote Originally Posted by etnlWings View Post
    I just DLed the latest .run from amd.com. I'm running a Radeon 9550. X-server 1.3. Xorg 7.2 and Ubuntu Gutsy 7.10.

    Here's the output I get when I try to build the kernel modules:

    Code:
    icaria@ubuntu-7:~$ sudo m-a build,install fglrx-kernel
    The source tarball could not be found!
    Package fglrx-kernel-source not installed?
    Running "m-a -f get fglrx-kernel-source" may help.
    Target package file 
    /usr/src/fglrx-kernel-2.6.22-14-generic_8.42.3-1+2.6.22-14.47_i386.deb already 
    exists, not rebuilding!
    (however, you could use the -f switch to ignore it)
    Selecting previously deselected package fglrx-kernel-2.6.22-14-generic.
    (Reading database ... 138186 files and directories currently installed.)
    Unpacking fglrx-kernel-2.6.22-14-generic (from .../fglrx-kernel-2.6.22-14-generic_8.42.3-1+2.6.22-14.47_i386.deb) ...
    dpkg: dependency problems prevent configuration of fglrx-kernel-2.6.22-14-generic:
     fglrx-kernel-2.6.22-14-generic depends on xorg-driver-fglrx (= 8.42.3-1); however:
      Version of xorg-driver-fglrx on system is 8.443.1-1.
    dpkg: error processing fglrx-kernel-2.6.22-14-generic (--install):
     dependency problems - leaving unconfigured
    Errors were encountered while processing:
     fglrx-kernel-2.6.22-14-generic
    
    I: Direct installation failed, trying to post-install the dependencies
    
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Correcting dependencies... Done
    The following packages were automatically installed and are no longer required:
      libglitz-glx1 libdbh-4.5-4 libtubo1 binutils-static nvidia-kernel-common
      libglitz1 python-pysqlite2 libemeraldengine0 python-elementtree libmcs1
      libmpd0 libxffm3-common
    Use 'apt-get autoremove' to remove them.
    The following packages will be REMOVED:
      fglrx-kernel-2.6.22-14-generic
    0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
    1 not fully installed or removed.
    Need to get 0B of archives.
    After unpacking 2150kB disk space will be freed.
    Do you want to continue [Y/n]?
    Anyone know why this is failing?
    I am also getting this. When i tried to dpkg -i my fglrx packges they needed some kmps .deb installed. I think that sorts out the kernel module as upon reboot, fglrx worked (although compiz doesn't at the moment, but i think that is another problem)

  3. #3
    Join Date
    Oct 2007
    Posts
    321

    Default

    i'd recommend opening up synaptic and removing any package that states fglrx in it's name... which on my install is....

    fglrx-amdcccle
    fglrx-kernel-source
    xorg-driver-fglrx
    xorg-driver-fglrx-dev

    once these packages are removed, run the following commands to clean out the /usr/src directory of possibly conflicting files...

    sudo rm -r /usr/src/fglrx*
    sudo rm -r /usr/src/modules/fglrx

    with this now all that is left is to reinstall the debs and it should work... and i'd also recommend possibly upgrading to the current release, since it fixes a lot of issues i saw.

  4. #4
    Join Date
    Sep 2007
    Posts
    12

    Default

    According to this wiki:
    http://wiki.cchtml.com/index.php/Ubu...river_Manually

    Once you install the debs, you don't need to build anything. You modify your xorg.conf if necessary than reboot!

  5. #5
    Join Date
    Dec 2007
    Posts
    137

    Default

    Thanks, guys. I've just gone back to 8.37.6 but once Xmas is over, I might try 7.12 again.

  6. #6
    Join Date
    Nov 2006
    Posts
    7

    Default

    You still have some packages from previous installation installed (fglrx-kernel-2.6.22-14-generic). Remove it and you'll be fine.

    Code:
    matteo@gutsy:~$ fglrxinfo 
    display: :0.0  screen: 0
    OpenGL vendor string: ATI Technologies Inc.
    OpenGL renderer string: ATI MOBILITY RADEON X700
    OpenGL version string: 2.1.7170 Release
    
    matteo@gutsy:~$ dpkg -l | grep fglrx
    ii  fglrx-amdcccle                             8.443.1-1                               Catalyst Control Center for the ATI graphics
    ii  fglrx-kernel-source                        8.443.1-1                               Kernel module source for the ATI graphics ac
    ii  xorg-driver-fglrx                          8.443.1-1                               Video driver for the ATI graphics accelerato
    Matteo
    Last edited by zasf; 12-22-2007 at 10:35 AM.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •